set terminal png enhanced font 'Times,28' linewidth 2 size 1400, 400
# set output "disp_unfol_".specifier.".png"

# ymin=-0.0
# ymax=5.0
cbmax=15 #For SP
cbmax=2 #For SP
cbon=1
cbon=0

# set encoding utf8

set view map
set pm3d interpolate 0,0

set termopt enhanced
set key font "Times,20"

matriz1 = "outputfiles/disp_unfol_".specifier.".dat"
fort1 = "outputfiles/dispersion_".specifier.".dat"
fort2 = "outputfiles/dispersion_".specifier."2.dat"
fort3 = "outputfiles/const.dat"

exp_dataa = 'INS_data_Mn5Si3/Q=(Qh,1,0)_10K_dispersion.txt'
exp_datab = 'INS_data_Mn5Si3/Q=(0,Qk,1)_10K_dispersion.txt'
exp_datac = 'INS_data_Mn5Si3/Q=(0,3,Ql)_10K_dispersion.txt'

set yrange[  ymin : ymax ]

# set size 1.02, 0.80
# set size 1.02, 0.40

# set size 0.34, 0.35
# set size 1.04, 0.35
# set size 0.92, 0.45
set size 1.1, 1.3

if (cbon == 1) { set cbtics ("0" 0.0, "max" cbmax) }
if (cbon == 1) { set cbrange[-0:cbmax] }

# unset xlabel
set xtics 0,.5,20 border offset 0,0.10 scale 0.0
set grid xtics lc "white" lw 0.4 lt 1

set ylabel "ω (meV)" offset 1.0,0.0
set xlabel "Q = (0, Q_k, 1)" offset 0.0,0.8
set ytics 0,125,1000 border offset 1.0, 0.0  scale 0.1 
set ytics 0,200,1000  border offset 1.0, 0.0  scale 0.1 
set ytics 0,10,1000  border offset 1.0, 0.0  scale 0.1 
set ytics 0,1,1000  border offset 1.0, 0.0  scale 0.1 
set ytics auto  border offset 1.0, 0.0  scale 0.1 
# set ytics 0,0.5,1000 border offset 1.0, 0.0  scale 0.1 
# set grid ytics lc "white" lw 0.4 lt 1

do for [ polariz = 1:1 ] {
	if (polariz == 0) { set output "disp_unfolpX_".specifier.".png" }
	if (polariz == 1) { set output "disp_unfolpY_".specifier.".png" }
	if (polariz == 2) { set output "disp_unfolpZ_".specifier.".png" }
	set multiplot

	aa=4+polariz*4
	bb=6+polariz*4

	set colorbox user origin 1.85, 0.27 size 0.02, 0.5
	set cbtics offset -0.8,0

    # set xrange[0:1]
	# set yrange[  0 : 21 ]
	set origin 0.0, -0.15
	# set xtics ("G" 0.0, "M" 0.25, "M" 1.0, "G" 1.70710678, "Z" 2.18986540)
	load 'outputfiles/highsympoints.gnu'
	set xtics ( "-6" 0.00000000, "-5" 0.57735027, "-4" 1.15470054, "-3" 1.73205081, "-2" 2.30940108, "-1" 2.88675135, " 0" 3.46410162, " 1" 4.04145188, " 2" 4.61880215, " 3" 5.19615242, " 4" 5.77350269, " 5" 6.35085296, " 6" 6.92820323 )
	# set xtics ("1.5" 0.0, "2.0" 0.50, "2.5" 1.0)
	# set xtics ("-6.0" 0, "-3.0" 1.73205081, "0.0" 3.46410162, "3.0" 5.19615242, "6.0" 6.92820323)
	# 3 down-down, 4 down-up, 5 up-up, 6 up-down
	splot matriz1  u 1:2:0:($7+$8+$9+$10) w pm3d notitle \
		, for [i=2:65] fort1 u 1:i:(0.0) w lines notitle lt 6 lc "green" lw 0.2  \
      #   , exp_dataa u ($1-1.5):3:($2*3):4 w points	notitle lc "green" pt 7 
		

	replot
	unset multiplot
} 
