set terminal png enhanced font 'Times,28' linewidth 2 size 900, 1400
# set output "disp_unfol_".specifier.".png"

# ymin=-0.0
# ymax=5.0
cbmax=15 #For SP
cbmax=5 #For SP
cbon=1
cbon=0

k1 = 0.00000000

# Copied from Spin wave code output
# High symmetry point path location:
#   Path      | Correspondent frequency value
k2 = 0.50000000
k3 = 1.00000000
k4 = 3.94001653
k5 = 4.51736680
k6 = 5.09471707
k7 = 6.01581657
k8 = 6.73351495
k9 = 7.45121333


# set encoding utf8

set view map
set pm3d interpolate 0,0

set termopt enhanced
set key font "Times,20"

matriz1 = "outputfiles/disp_unfol_".specifier.".dat"
fort1 = "outputfiles/dispersion_".specifier.".dat"
fort2 = "outputfiles/dispersion_".specifier."2.dat"
fort3 = "outputfiles/const.dat"

exp_dataa = 'INS_data_Mn5Si3/Q=(Qh,1,0)_10K_dispersion.txt'
exp_datab = 'INS_data_Mn5Si3/Q=(0,Qk,1)_10K_dispersion.txt'
exp_datac = 'INS_data_Mn5Si3/Q=(0,3,Ql)_10K_dispersion.txt'

set yrange[  ymin : ymax ]

set size 1.02, 0.80
set size 1.02, 0.40

set size 0.34, 0.35
set size 1.04, 0.35
set size 0.92, 0.45


if (cbon == 1) { set cbtics ("0" 0.0, "max" cbmax) }
if (cbon == 1) { set cbrange[-0:cbmax] }

unset xlabel
set xtics 0,.5,20 border offset 0,0.10 scale 0.0
set grid xtics lc "white" lw 0.4 lt 1

set ylabel "ω (meV)" offset 1.0,0.0
set ytics 0,125,1000 border offset 1.0, 0.0  scale 0.1 
set ytics 0,200,1000  border offset 1.0, 0.0  scale 0.1 
set ytics 0,10,1000  border offset 1.0, 0.0  scale 0.1 
set ytics 0,1,1000  border offset 1.0, 0.0  scale 0.1 
set ytics auto  border offset 1.0, 0.0  scale 0.1 
# set ytics 0,0.5,1000 border offset 1.0, 0.0  scale 0.1 
# set grid ytics lc "white" lw 0.4 lt 1

do for [ polariz = 1:1 ] {
	if (polariz == 0) { set output "disp_unfolpX_".specifier.".png" }
	if (polariz == 1) { set output "disp_unfolpY_".specifier.".png" }
	if (polariz == 2) { set output "disp_unfolpZ_".specifier.".png" }
	set multiplot

	aa=4+polariz*4
	bb=6+polariz*4

	set colorbox user origin 1.85, 0.27 size 0.02, 0.5
	set cbtics offset -0.8,0

    set xrange[k1:k3]
	# set yrange[  0 : 21 ]
	set origin 0.03, 0.60
	# set xtics ("G" 0.0, "M" 0.25, "M" 1.0, "G" 1.70710678, "Z" 2.18986540)
	# load 'outputfiles/highsympoints.gnu'
	set xtics ("1.5" k1, "2.0" k2, "2.5" k3)
	# 3 down-down, 4 down-up, 5 up-up, 6 up-down
	splot matriz1  u 1:2:0:($7+$8+$9+$10) w pm3d notitle \
		, for [i=2:65] fort1 u 1:i:(0.0) w lines notitle lt 6 lc "green" lw 1  \
        , exp_dataa u (($1-1.5)*((k3-k1)/1.0)+k1):3:($2*3):4 w points	notitle lc "green" pt 7 
		
	# box off
	# plot exp_dataa u ($1-1.5):3:($2*3):4 w xyerrorbars notitle  lw 1 pt 7 ps 2

	set xrange[k4-0.00000001:k6]
	set origin 0.03,  0.28
	# set xtics ("G" 0.0, "M" 0.25, "M" 1.0, "G" 1.70710678, "Z" 2.18986540)
	load 'outputfiles/highsympoints.gnu'
	set xtics ("2.0" k4, "3.0" k5, "4.0" k6)
	# 3 down-down, 4 down-up, 5 up-up, 6 up-down
	set yrange[  ymin : ymax ]
	# set xrange[  0.45 : 0.55 ]
	# set xrange[  0.28867513-0.05 : 0.28867513+0.05 ]
	splot matriz1  u 1:2:0:($7+$8+$9+$10) w pm3d notitle \
		, for [i=2:65] fort1 u 1:i:(0.0) w lines notitle lt 6 lc "green" lw 1  \
		, exp_datab u (($1-2)*((k6-k4)/2.0)+k4):3:($2*3) w points	notitle lc "green" pt 7 
		# , exp_datab u ($1-2.445+3.75378527):3:($2*3) w points	notitle lc "green" pt 7 
		
	set xrange[k7:k9+0.00000001]
	set origin 0.03,  -0.05
	# set xtics ("G" 0.0, "M" 0.25, "M" 1.0, "G" 1.70710678, "Z" 2.18986540)
	load 'outputfiles/highsympoints.gnu'
	# set xtics ("0.5" 5.67224843, "1.0" 6.17224843, "1.5" 6.62679388)
	set xtics ("0.5" k7, "1.0" k8, "1.5" k9)
	# 3 down-down, 4 down-up, 5 up-up, 6 up-down
	splot matriz1  u 1:2:0:($7+$8+$9+$10) w pm3d notitle \
		, for [i=2:65] fort1 u 1:i:(0.0) w lines notitle lt 6 lc "green" lw 1  \
        , exp_datac u (($1-0.5)*((k9-k7)/1.0)+k7):3:($2*3) w points	notitle lc "green" pt 7 
		# , fort3 u 1:2:0 w lines notitle lc "white" \

	replot
	unset multiplot
} 
